/* To be used with cookieCuttr by Chris Wharton (http://cookiecuttr.com) */

body.cc { padding-bottom: 50px; margin-bottom: 0px; }
body.cc #GotoTop { bottom: 54px;}

/*body.bif.cc .cc-cookies {margin-bottom: 56px;}*/

.cc-cookies {position:fixed;width: 100%;left: 0;top: 0;padding: 5px 0;background: rgba(0,0,0,.8);font-family: Tahoma, Sans-Serif;font-size: 12px;font-weight: normal;text-shadow: 0 -1px 0 rgba(0,0,0,0.35);z-index: 97;text-align: center;color: #fff;height: 50px;box-sizing: border-box;}
.cc-cookies > div {  margin: 0 auto; max-width: 996px;box-sizing: border-box;}

.cc-cookies > div > div:first-child {    display: inline-block; vertical-align: middle; margin-right: 13px; }
.cc-cookies > div > div:last-child { display: inline-block; width: 160px;height: 40px;line-height: 37px;font-size: 15px;vertical-align: middle;}

.cc-cookies a, .cc-cookies a:hover { color: #fff; text-decoration: underline; }
.cc-cookies a:hover { text-decoration: none; }
.cc-overlay { height: 100%; padding-top: 25%; }
.cc-cookies-error { float: left; width: 90%; text-align: center; margin: 1em 0 2em 0; background: #fff; padding: 2em 5%; border: 1px solid #ccc; font-size: 18px; color: #333; }
.cc-cookies a.cc-cookie-accept, .cc-cookies-error a.cc-cookie-accept, .cc-cookies a.cc-cookie-decline, .cc-cookies-error a.cc-cookie-decline, .cc-cookies a.cc-cookie-reset {  color: #fff; text-decoration: none; background: #CC0000;  border-radius: 4px; box-shadow: 0 0 2px rgba(0,0,0,0.25); text-shadow: 0 -1px 0 rgba(0,0,0,0.35); -o-transition: background 0.5s ease-in; -webkit-transition: background 0.25s ease-in; -moz-transition: background 0.25s ease-in; /* margin: 0 auto 0 18px; */width: 100%;font-weight: bold;height: 100%;display: block;}
.cc-cookies a.cc-cookie-decline, .cc-cookies-error a.cc-cookie-decline { background: #af3b3b; margin-left: 0.5em; }
.cc-cookies a.cc-cookie-reset { background: #f15b00; }
.cc-cookies a:hover.cc-cookie-accept, .cc-cookies-error a:hover.cc-cookie-accept, .cc-cookies a:hover.cc-cookie-decline, .cc-cookies-error a:hover.cc-cookie-decline, .cc-cookies a:hover.cc-cookie-reset  { background: red; -o-transition: background 0.5s ease-in; -webkit-transition: background 0.25s ease-in; -moz-transition: background 0.25s ease-in; }
.cc-cookies-error a.cc-cookie-accept, .cc-cookies-error a.cc-cookie-decline { display: block; margin-top: 1em; }
.cc-cookies.cc-discreet { width: auto; padding: 0.5em 1em; left: auto; top: auto; }
.cc-cookies.cc-discreet a.cc-cookie-reset { background: none; text-shadow: none; padding: 0; text-decoration: underline; }
.cc-cookies.cc-discreet a:hover.cc-cookie-reset { text-decoration: none; }

@media screen and (max-width: 784px) {
    body.cc { padding-bottom: 40px; margin-bottom: 0px; }
    .cc-cookies { height: 38px;}
    .cc-cookies > div { padding: 0 5px;}
    .cc-cookies > div > div:first-child {  font-size: 11px;margin-right: 8px; }
    .cc-cookies > div > div:last-child {  width: 106px;height: 28px;line-height: 25px;}
}

@media screen and (max-width: 696px) {
    .cc-cookies { }
    .cc-cookies > div { padding: 0 5px;}
    .cc-cookies > div > div:first-child {  max-width: 354px;vertical-align: middle;margin-right: 0;line-height: 125%;}
    .cc-cookies > div > div:last-child {  }
}

@media screen and (max-width: 490px) {
    .cc-cookies { height: 52px;}
    .cc-cookies > div { }
    .cc-cookies > div > div:first-child {  max-width: 273px;margin-right: 16px;}
    .cc-cookies > div > div:last-child {  width: 66px;height: 42px;line-height: 42px; }
    .cc-cookies > div > div:last-child a { font-size: 0; }
        .cc-cookies > div > div:last-child a:after { font-family: "Font Awesome 6 Pro"; content: "\f00c"; font-size: 30px; }
}

@media screen and (max-width: 385px) {
    .cc-cookies { }
    .cc-cookies > div { }
    .cc-cookies > div > div:first-child {  margin-right: 4px;}
    .cc-cookies > div > div:last-child {  width: 54px;}
}

@media screen and (max-width: 360px) {
    .cc-cookies { }
    .cc-cookies > div { padding: 0;}
    .cc-cookies > div > div:first-child {  margin-right: 0;max-width: 282px;}
    .cc-cookies > div > div:last-child {  }
}

@media screen and (max-width: 339px) {
    .cc-cookies { height: auto;}
    .cc-cookies > div { }
    .cc-cookies > div > div:first-child { max-width: 246px;}
    .cc-cookies > div > div:first-child a span { display: none; }
}

@media screen and (max-width: 319px) {
    .cc-cookies { }
    .cc-cookies > div { }
    .cc-cookies > div > div:first-child { max-width: 176px;}
}